unit Unit13_1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics, Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus,
  Vcl.StdCtrls, VclTee.TeEngine, Vcl.ExtCtrls, VclTee.TeeProcs, VclTee.Chart, VclTee.Series, VclTee.TeePolar, VclTee.TeeLisB, Vcl.Buttons, VclTee.TeeEdiGrad,
  Vcl.Imaging.jpeg, VclTee.TeePoin3, VclTee.TeeTools, VclTee.TeeSurfa, VclTee.TeeComma, Data.DB, Data.Win.ADODB,
  Vcl.ComCtrls, Vcl.ImgList, VclTee.TeeSubChart;

type
  TForm1 = class(TForm)
    ButtonExit: TButton;
    Panel1: TPanel;
    TheChart: TChart;
    Series1: TPolarSeries;
    Series2: TPolarSeries;
    ChartTool1: TSubChartTool;
    TeeCommander1: TTeeCommander;
    procedure FormCreate(Sender: TObject);
    procedure ButtonExitClick(Sender: TObject);
    procedure TheChartClick(Sender: TObject);
  private
    { Private declarations }
    procedure Add_PolarSeries(Chart: TChart);
    procedure SeriesBeforeDrawValues_Custom(Sender: TObject);
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

const
  HorizMargin = 50;
  VertMargin = 30;

procedure TForm1.SeriesBeforeDrawValues_Custom(Sender: TObject);
begin
  if ((Sender as TChartSeries).ParentChart as TChart).Name = TheChart.Name then
    TheChart.ChartRect := Rect(HorizMargin, VertMargin, (Panel1.Width div 2) - HorizMargin, Panel1.Height - VertMargin)
  else
    ChartTool1.Charts[0].Chart.ChartRect := Rect((Panel1.Width div 2) + HorizMargin, VertMargin, Panel1.Width - HorizMargin, Panel1.Height - VertMargin);
end;

procedure TForm1.TheChartClick(Sender: TObject);
begin
  if TheChart.SeriesCount > 0 then
    begin
      if (ChartTool1 <> nil) and ((Sender as TChart) = ChartTool1.Charts[0].Chart) then
        TeeCommander1.Panel := ChartTool1.Charts[0].Chart
      else
        TeeCommander1.Panel := TheChart;
    end;
end;

procedure TForm1.Add_PolarSeries(Chart: TChart);
begin
  with (Chart.AddSeries(TPolarSeries) as TPolarSeries) do
    begin
      Clear;
      Brush.Clear;
      CircleBrush.Clear;
      Circled := true;
      FillSampleValues(100);
      BeforeDrawValues := SeriesBeforeDrawValues_Custom;
    end;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  with TheChart do
    begin
      if SeriesCount > 0 then
        FreeAllSeries();
      SeriesList.Clear;
    end;
  Add_PolarSeries(TheChart);
  Add_PolarSeries(ChartTool1.Charts[0].Chart);
end;

procedure TForm1.ButtonExitClick(Sender: TObject);
begin
  Close;
end;

end.
